%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define req_libgnome_version 2.0.2
%define req_libgtkhtml_version 2.1.2
%define req_gnome_doc_utils_version 0.3.1
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})


Summary:	GNOME 2 help browser
Name:		yelp
Version: 2.18.0
%define subrel 7
Release: %mkrel 3
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	yelp.png
# from Fedora: register docbook mime type for yelp
Patch2: yelp-2.13.2-add-mime-handling.patch
# (fc) 2.4.2-4mdk strip newline from title 
Patch4:		yelp-2.6.0-title.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=370167 
Patch5: yelp-2.16.0-apropos.patch
URL:		http://www.gnome.org/softwaremap/projects/yelp/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	libgnome2 >= %{req_libgnome_version}
Requires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
Requires: 	%mklibname mozilla-firefox %firefox_version
Requires:	man
BuildRequires:	gettext
BuildRequires:	libglade2.0-devel
BuildRequires:	mozilla-firefox-devel
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libbeagle-devel
BuildRequires:	libbzip2-devel
BuildRequires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
BuildRequires:	libxslt-devel perl-XML-Parser texinfo
BuildRequires:	desktop-file-utils

%description
Help browser for GNOME 2 which supports docbook documents, info and man.

%prep
%setup -q
%patch2 -p1 -b .add-mime-handling
%patch4 -p1 -b .title
%patch5 -p1 -b .apropos
%build
%configure2_5x --enable-info --with-search=beagle \
--enable-debug \
%if %mdkversion <= 200700
--with-mozilla=mozilla-firefox
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="gnome-help.png" title="GNOME Help" longtitle="Get help with GNOME" needs="gnome" section="More Applications/Documentation" command="%{_bindir}/yelp" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Documentation" \
  --add-only-show-in="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-help.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}
%update_desktop_database
%update_icon_cache hicolor


%preun
%preun_uninstall_gconf_schemas %name
%postun
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/yelp
%{_menudir}/*
%{_datadir}/pixmaps/*
%_datadir/icons/hicolor/192x192/apps/yelp-icon-big.png


%changelog
* Thu Mar 27 2008 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.7mdv2007.1
- rebuild against firefox 2.0.0.13

* Wed Feb 20 2008 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.6mdv2007.1
- rebuild against firefox 2.0.0.12

* Thu Dec 13 2007 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.5mdv2007.1
- rebuild against firefox 2.0.0.11

* Sat Oct 20 2007 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.4mdv2007.1
- rebuild against firefox 2.0.0.8

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.3mdv2007.1
- rebuild against firefox 2.0.0.6

* Mon Jul 23 2007 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.2mdv2007.1
- rebuild against firefox 2.0.0.5

* Thu Jun 14 2007 Vincent Danen <vdanen@mandriva.com> 2.18.0-3.1mdv2007.1
- rebuild against firefox 2.0.0.4

* Fri Mar 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 150066
- Only show menu entry under GNOME

* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 148210
- rebuild for mozilla-firefox 2.0.0.3

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142105
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package huge (1Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-6mdv2007.1
+ Revision: 126289
- rebuild for new firefox
- fix buildrequires (bug #28523)
- enable debugging support

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-4mdv2007.1
+ Revision: 106104
- rebuild

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-3mdv2007.1
+ Revision: 103561
- bump release
- add fedora patches:
 * register yelp as viewer for docbook files
 * fix apropos handling

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 92045
- take out the trash
- fix firefox detection

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85858
- new version

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.0
+ Revision: 79216
- rebuild for new firefox
- unpack patch
- Import yelp



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Rebuild with new firefox

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 5
- New release 2.16.0

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update patch5 with another crash fix (Mdv bug #24830)

* Mon Aug 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Patch5 (CVS): fix various crashes (Mdv bug #24830)
- don't depend on firefox directly now

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- rebuild for new firefox

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-3mdv2007.0
- Rebuild with latest dbus

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- rebuild for new firefox

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1
- New release 2.15.5

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Mon Jun 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2
- enable beagle support

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-7mdk
- rebuild for new firefox on stupid x86_64 as well

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 2.14.1-6mdk
- rebuild for sparc

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-5mdk
- rebuild for new firefox

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Rebuild with latest firefox

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- fix buildrequires

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Don't build beagle support for now

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-6mdk
- Oops, update icon cache in postun, not preun (thanks gw666)

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-5mdk
- update icon cache at install/removal
- ensure binaries are there when running postun

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-4mdk
- rebuild for new mozilla-firefox
- use mkrel

* Mon Jan 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Rebuild with latest FF

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Don't enforce mozilla/firefox version in the spec file, only
  enforce the version used at build time (easier backport, idea 
  from lifeara package)

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12.1-5mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Rebuild with FF 1.0.7

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Remove generated files before build

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Fix gnome-doc-utils dependencies

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patch0 (merged upstream)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdk 
- Add requires_exception to prevent from asking mozilla

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdk 
- Rebuild with FF 1.0.6

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdk 
- Really rebuild with firefox 1.0.4

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.10.0-2mdk
- Rebuild

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- New release 2.10.0
- enable info
- requires new gnome-doc-utils
- update file list
- update buildrequires

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.5-3mdk 
- Rebuild with latest howl

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.5-2mdk 
- Fix menu title

* Mon Dec  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.5-1mdk
- New release 2.6.5

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- New release 2.6.4
- Remove patch5 (merged upstream)

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch5: fix PO typo (found by Adrian)
- Enable libtoolize

* Tue Aug 31 2004  <fcrozat@mandrakesoft.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix menu

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source URL
- New release 2.6.1

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-2mdk
- fix buildrequires
- spec cosmetics

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patches 0 (yelp-pregenerate is dead), 1, 3 (no longer needed)
  2 (no longer applicable) 
- Regenerate patch4

* Mon Mar 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch4: strip newline in title
- Fix missing icon in window title

* Tue Jan 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch2 : fix crash when parsing HTML (Mdk bug #4743)
- Patch3 (shaunm): don't generate files everywhere when processing gnumeric
  documentation (Mdk bug #6341)

* Wed Nov 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Patch1 (DV): use XML Namespace 1.0 compliant yelp-custom.xsl file

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Requires man, no longer requires docbook dtd (already included) (bug 5548)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- disable yelp-pregenerate, it is too slow and somehow buggy atm

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-2mdk
- Fix description (Yura Gusev)

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Fix missing menu icon (bug #4278)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Patch0: don't run yelp-pregenerate in drakX

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest openssl
- Generate cache at install time

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Sat Dec 28 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-2mdk
- BuildRequires: libglade2.0-devel libjpeg-devel

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.6-2mdk
- BuildRequires

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Add menu entry

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Recompiled against gail 0.17

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Recompiled against gail 0.16

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1
- Remove patch0 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Update patch0 with official fix

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- Patch0: fix include of gnome customization xsl file

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Initial Mdk package


# end of file
